diff --git a/functional/ControlsTests/src/javafx/factory/ControlsFactory.java b/functional/ControlsTests/src/javafx/factory/ControlsFactory.java
--- a/functional/ControlsTests/src/javafx/factory/ControlsFactory.java
+++ b/functional/ControlsTests/src/javafx/factory/ControlsFactory.java
@@ -46,54 +46,38 @@
 import javafx.scene.Node;
 import javafx.scene.control.Accordion;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.CheckBox;
-import javafx.scene.control.CheckBoxBuilder;
 import javafx.scene.control.ChoiceBox;
 import javafx.scene.control.ColorPicker;
 import javafx.scene.control.ComboBox;
 import javafx.scene.control.Control;
 import javafx.scene.control.DatePicker;
 import javafx.scene.control.Hyperlink;
-import javafx.scene.control.HyperlinkBuilder;
 import javafx.scene.control.Label;
-import javafx.scene.control.LabelBuilder;
 import javafx.scene.control.ListView;
 import javafx.scene.control.Menu;
 import javafx.scene.control.MenuBar;
 import javafx.scene.control.MenuItem;
 import javafx.scene.control.Pagination;
 import javafx.scene.control.PasswordField;
-import javafx.scene.control.PasswordFieldBuilder;
 import javafx.scene.control.ProgressBar;
-import javafx.scene.control.ProgressBarBuilder;
 import javafx.scene.control.ProgressIndicator;
-import javafx.scene.control.ProgressIndicatorBuilder;
 import javafx.scene.control.RadioButton;
-import javafx.scene.control.RadioButtonBuilder;
 import javafx.scene.control.ScrollBar;
-import javafx.scene.control.ScrollBarBuilder;
 import javafx.scene.control.ScrollPane;
 import javafx.scene.control.Separator;
-import javafx.scene.control.SeparatorBuilder;
 import javafx.scene.control.Slider;
-import javafx.scene.control.SliderBuilder;
 import javafx.scene.control.SplitMenuButton;
-import javafx.scene.control.SplitMenuButtonBuilder;
 import javafx.scene.control.SplitPane;
-import javafx.scene.control.SplitPaneBuilder;
 import javafx.scene.control.Tab;
 import javafx.scene.control.TabPane;
 import javafx.scene.control.TableColumn;
 import javafx.scene.control.TableColumn.CellDataFeatures;
 import javafx.scene.control.TableView;
 import javafx.scene.control.TextArea;
-import javafx.scene.control.TextAreaBuilder;
 import javafx.scene.control.TextField;
-import javafx.scene.control.TextFieldBuilder;
 import javafx.scene.control.TitledPane;
 import javafx.scene.control.ToggleButton;
-import javafx.scene.control.ToggleButtonBuilder;
 import javafx.scene.control.ToolBar;
 import javafx.scene.control.TreeItem;
 import javafx.scene.control.TreeTableColumn;
@@ -102,7 +86,7 @@
 import javafx.scene.image.Image;
 import javafx.scene.image.ImageView;
 import javafx.scene.layout.HBox;
-import javafx.scene.layout.StackPaneBuilder;
+import javafx.scene.layout.StackPane;
 import javafx.scene.layout.VBox;
 import javafx.scene.paint.Color;
 import javafx.scene.shape.Circle;
@@ -114,7 +98,10 @@
 
     Buttons(new ControlFactory() {
         public Control createControl() {
-            return ButtonBuilder.create().text("Button the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).graphic(new Rectangle(10, 10, Color.RED)).build();
+            Button b = new Button("Button the first line" + "\nthe sec long line" + "\nthe third line");
+            b.setFocusTraversable(false);
+            b.setGraphic(new Rectangle(10, 10, Color.RED));
+            return b;
         }
 
         public Class getControlClass() {
@@ -183,7 +170,10 @@
     }),
     CheckBoxes(new ControlFactory() {
         public Control createControl() {
-            return CheckBoxBuilder.create().text("Check box the first line" + "\nthe sec long line" + "\nthe third line").graphic(new Rectangle(20, 20, Color.web("lightblue"))).focusTraversable(false).build();
+            CheckBox cb = new CheckBox("Check box the first line" + "\nthe sec long line" + "\nthe third line");
+            cb.setFocusTraversable(false);
+            cb.setGraphic(new Rectangle(20, 20, Color.web("lightblue")));
+            return cb;
         }
 
         public Class getControlClass() {
@@ -192,7 +182,11 @@
     }),
     RadioButtons(new ControlFactory() {
         public Control createControl() {
-            return RadioButtonBuilder.create().text("Radio the first line" + "\nthe sec long line" + "\nthe third line").graphic(new Rectangle(20, 20, Color.web("lightblue"))).focusTraversable(false).textAlignment(TextAlignment.RIGHT).build();
+            RadioButton rb = new RadioButton("Radio the first line" + "\nthe sec long line" + "\nthe third line");
+            rb.setFocusTraversable(false);
+            rb.setGraphic(new Rectangle(20, 20, Color.web("lightblue")));
+            rb.setTextAlignment(TextAlignment.RIGHT);
+            return rb;
         }
 
         public Class getControlClass() {
@@ -201,7 +195,9 @@
     }),
     TextFields(new ControlFactory() {
         public Control createControl() {
-            return TextFieldBuilder.create().text("Text box the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).build();
+            TextField tf = new TextField("Text box the first line" + "\nthe sec long line" + "\nthe third line");
+            tf.setFocusTraversable(false);
+            return tf;
         }
 
         public Class getControlClass() {
@@ -210,7 +206,10 @@
     }),
     TextAreas(new ControlFactory() {
         public Control createControl() {
-            return TextAreaBuilder.create().maxWidth(100).maxHeight(50).text("Text area the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).build();
+            TextArea ta = new TextArea("Text area the first line" + "\nthe sec long line" + "\nthe third line");
+            ta.setFocusTraversable(false);
+            ta.setMaxSize(100, 50);
+            return ta;
         }
 
         public Class getControlClass() {
@@ -219,7 +218,10 @@
     }),
     PasswordFields(new ControlFactory() {
         public Control createControl() {
-            return PasswordFieldBuilder.create().promptText("Password box the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).build();
+            PasswordField pf = new PasswordField();
+            pf.setPromptText("Password box the first line" + "\nthe sec long line" + "\nthe third line");
+            pf.setFocusTraversable(false);
+            return pf;
         }
 
         public Class getControlClass() {
@@ -228,7 +230,12 @@
     }),
     Sliders(new ControlFactory() {
         public Control createControl() {
-            return SliderBuilder.create().min(0).max(100).value(20).focusTraversable(false).build();
+            Slider s = new Slider();
+            s.setMin(0);
+            s.setMax(100);
+            s.setValue(20);
+            s.setFocusTraversable(false);
+            return s;
         }
 
         public Class getControlClass() {
@@ -237,7 +244,10 @@
     }),
     Labels(new ControlFactory() {
         public Control createControl() {
-            return LabelBuilder.create().text("Label the first line" + "\nthe sec longlong line" + "\nthe third line").focusTraversable(false).graphic(new Rectangle(20, 20, Color.web("lightblue"))).build();
+            Label l = new Label("Label the first line" + "\nthe sec longlong line" + "\nthe third line");
+            l.setFocusTraversable(false);
+            l.setGraphic(new Rectangle(20, 20, Color.web("lightblue")));
+            return l;
         }
 
         public Class getControlClass() {
@@ -246,7 +256,10 @@
     }),
     Hyperlinks(new ControlFactory() {
         public Control createControl() {
-            return HyperlinkBuilder.create().text("Hyperlink the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).graphic(new Circle(10, Color.BLUE)).build();
+            Hyperlink hl = new Hyperlink("Hyperlink the first line" + "\nthe sec long line" + "\nthe third line");
+            hl.setFocusTraversable(false);
+            hl.setGraphic(new Circle(10, Color.BLUE));
+            return hl;
         }
 
         public Class getControlClass() {
@@ -299,7 +312,8 @@
     }),
     Separators(new ControlFactory() {
         public Control createControl() {
-            Separator sep = SeparatorBuilder.create().halignment(HPos.CENTER).build();
+            Separator sep = new Separator();
+            sep.setHalignment(HPos.CENTER);
             sep.setPrefWidth(80);
             return sep;
         }
@@ -310,7 +324,12 @@
     }),
     ScrollBars(new ControlFactory() {
         public Control createControl() {
-            return ScrollBarBuilder.create().value(45).min(0).max(100).focusTraversable(false).build();
+            ScrollBar sb = new ScrollBar();
+            sb.setValue(45);
+            sb.setMin(0);
+            sb.setMax(100);
+            sb.setFocusTraversable(false);
+            return sb;
         }
 
         public Class getControlClass() {
@@ -337,7 +356,9 @@
     }),
     ProgressIndicators(new ControlFactory() {
         public Node createControl() {
-            return ProgressIndicatorBuilder.create().progress(0.85).focusTraversable(false).build();
+            ProgressIndicator pi = new ProgressIndicator(0.85);
+            pi.setFocusTraversable(false);
+            return pi;
         }
 
         public Class getControlClass() {
@@ -346,7 +367,9 @@
     }),
     ProgressBars(new ControlFactory() {
         public Node createControl() {
-            return ProgressBarBuilder.create().progress(0.25).focusTraversable(false).build();
+            ProgressBar pb = new ProgressBar(0.25);
+            pb.setFocusTraversable(false);
+            return pb;
         }
 
         public Class getControlClass() {
@@ -356,6 +379,8 @@
     ListViews(new ControlFactory() {
         public Node createControl() {
             ListView list = new ListView();
+
+            // The following requires --add-exports javafx.base/com.sun.javafx.collections=ALL-UNNAMED
             ObservableListWrapper<String> items = new ObservableListWrapper<String>(Arrays.asList("One", "Two", "Three", "Four", "Five", "Six", "long line long line long line long line"));
             list.setItems(items);
             list.setPrefWidth(100);
@@ -370,7 +395,11 @@
     }),
     PressedToggleButtons(new ControlFactory() {
         public Control createControl() {
-            return ToggleButtonBuilder.create().selected(true).text("Button the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).graphic(new Rectangle(10, 10, Color.RED)).build();
+            ToggleButton tb = new ToggleButton("Button the first line" + "\nthe sec long line" + "\nthe third line");
+            tb.setFocusTraversable(false);
+            tb.setGraphic(new Rectangle(10, 10, Color.RED));
+            tb.setSelected(true);
+            return tb;
         }
 
         public Class getControlClass() {
@@ -379,7 +408,11 @@
     }),
     UnPressedToggleButtons(new ControlFactory() {
         public Control createControl() {
-            return ToggleButtonBuilder.create().selected(false).text("Button the first line" + "\nthe sec long line" + "\nthe third line").focusTraversable(false).graphic(new Rectangle(10, 10, Color.RED)).build();
+            ToggleButton tb = new ToggleButton("Button the first line" + "\nthe sec long line" + "\nthe third line");
+            tb.setFocusTraversable(false);
+            tb.setGraphic(new Rectangle(10, 10, Color.RED));
+            tb.setSelected(false);
+            return tb;
         }
 
         public Class getControlClass() {
@@ -389,7 +422,9 @@
     Toolbars(new ControlFactory() {
         public Node createControl() {
             ToolBar toolbar = new ToolBar();
-            toolbar.getItems().addAll(new Button("One"), new Button("Two"), new Separator(), SplitMenuButtonBuilder.create().text("three").build());
+            SplitMenuButton smb = new SplitMenuButton();
+            smb.setText("three");
+            toolbar.getItems().addAll(new Button("One"), new Button("Two"), new Separator(), smb);
             toolbar.setFocusTraversable(false);
             return toolbar;
         }
@@ -412,12 +447,10 @@
     }),
     SplitMenuButtons(new ControlFactory() {
         public Node createControl() {
-            SplitMenuButton smb = SplitMenuButtonBuilder.create()
-                    .text("Split box the first line" + "\nthe sec long line" + "\nthe third line")
-                    .items(new MenuItem("Split box the first line" + "\nthe sec long line" + "\nthe third line",
-                    new Rectangle(10, 10, Color.BLUE)))
-                    .graphic(new Rectangle(10, 10, Color.RED))
-                    .build();
+            SplitMenuButton smb = new SplitMenuButton(new MenuItem("Split box the first line" + "\nthe sec long line" + "\nthe third line",
+                    new Rectangle(10, 10, Color.BLUE)));
+            smb.setText("Split box the first line" + "\nthe sec long line" + "\nthe third line");
+            smb.setGraphic(new Rectangle(10, 10, Color.RED));
             smb.setMinWidth(100);
             smb.setFocusTraversable(false);
             return smb;
@@ -491,7 +524,6 @@
             table.getColumns().setAll(column1, column2);
             table.setPrefHeight(100);
             table.setPrefWidth(100);
-            table.setMinHeight(Control.USE_PREF_SIZE);
             table.setFocusTraversable(false);
             return table;
         }
@@ -531,7 +563,6 @@
             treeTable.getColumns().setAll(column1, column2);
             treeTable.setPrefHeight(100);
             treeTable.setPrefWidth(100);
-            treeTable.setMinHeight(Control.USE_PREF_SIZE);
             treeTable.setFocusTraversable(false);
             return treeTable;
         }
@@ -584,10 +615,11 @@
     }),
     SplitPanes(new ControlFactory() {
         public Node createControl() {
-            SplitPane pane = SplitPaneBuilder.create().items(
-                    StackPaneBuilder.create().children(new Rectangle(40, 40, Color.WHITESMOKE)).build(),
-                    StackPaneBuilder.create().children(new Rectangle(40, 40, Color.BLUE)).build(),
-                    StackPaneBuilder.create().children(new Rectangle(40, 40, Color.RED)).build()).prefWidth(150).prefHeight(150).build();
+            StackPane sp1 = new StackPane(new Rectangle(40, 40, Color.WHITESMOKE));
+            StackPane sp2 = new StackPane(new Rectangle(40, 40, Color.BLUE));
+            StackPane sp3 = new StackPane(new Rectangle(40, 40, Color.RED));
+            SplitPane pane = new SplitPane(sp1, sp2, sp3);
+            pane.setPrefSize(150, 150);
             pane.setMinWidth(100);
             pane.setDividerPositions(0.33, 0.67);
             pane.setFocusTraversable(false);
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/ListView/NewListViewApp.java b/functional/ControlsTests/src/javafx/scene/control/test/ListView/NewListViewApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/ListView/NewListViewApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/ListView/NewListViewApp.java
@@ -118,7 +118,9 @@
             PropertyTablesFactory.explorePropertiesList(testedListView, tb);
             SpecialTablePropertiesProvider.provideForControl(testedControl, tb);
 
-            final TextField tf = TextFieldBuilder.create().id(LIST_VIEW_CONTROL_ADD_INDEX_TEXT_FIELD_ID).text("0").prefWidth(40).build();
+            final TextField tf = new TextField("0");
+            tf.setId(LIST_VIEW_CONTROL_ADD_INDEX_TEXT_FIELD_ID);
+            tf.setPrefWidth(40);
 
             HBox nodeshb = new NodesChoserFactory("Add!", new NodesChoserFactory.NodeAction<Node>() {
                 @Override
@@ -128,7 +130,8 @@
             }, tf);
 
             HBox resetButtons = new HBox();
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -138,7 +141,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     softReset();
@@ -154,7 +158,8 @@
                 }
             });
 
-            Button changeSelectionModel = ButtonBuilder.create().text("Change selection model to custom").id(CHANGE_SELECTION_MODEL_BUTTON_ID).build();
+            Button changeSelectionModel = new Button("Change selection model to custom");
+            changeSelectionModel.setId(CHANGE_SELECTION_MODEL_BUTTON_ID);
             changeSelectionModel.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedListView.setSelectionModel(cmsm);
@@ -180,7 +185,6 @@
             ListView lv = new ListView();
             lv.setId(TESTED_LIST_VIEW_ID);
             return lv;
-            //return ListViewBuilder.create().id(TESTED_LIST_VIEW_ID).build();
         }
 
         private void softReset() {
@@ -225,12 +229,17 @@
         private HBox getAddItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add item");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADD_ITEM_TEXT_FIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADD_ITEM_TEXT_FIELD_ID);
 
             Label atLb = new Label("at pos");
-            final TextField tfPos = TextFieldBuilder.create().prefWidth(50).id(ADD_ITEM_POSITION_TEXT_FIELD_ID).build();
+            final TextField tfPos = new TextField();
+            tfPos.setPrefWidth(50);
+            tfPos.setId(ADD_ITEM_POSITION_TEXT_FIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_ITEM_BUTTON_ID).build();
+            Button bt = new Button("Add!");
+            bt.setId(ADD_ITEM_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     ((ListView) testedControl).getItems().add(Integer.parseInt(tfPos.getText()), tf.getText());
@@ -243,8 +252,11 @@
         private HBox getRemoveItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("From position");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_ITEM_POS_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Remove!").id(REMOVE_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_ITEM_POS_TEXT_FIELD_ID);
+            Button bt = new Button("Remove!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -257,8 +269,10 @@
 
         private HBox getScrollToHBox() {
             HBox hb = new HBox();
-            Button button = ButtonBuilder.create().text("ScrollTo").id(SCROLL_TO_BUTTON_ID).build();
-            final TextField tf = TextFieldBuilder.create().text("0").id(SCROLL_TO_TEXT_FIELD_ID).build();
+            Button button = new Button("ScrollTo");
+            button.setId(SCROLL_TO_BUTTON_ID);
+            final TextField tf = new TextField("0");
+            tf.setId(SCROLL_TO_TEXT_FIELD_ID);
 
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
@@ -273,8 +287,11 @@
         private HBox getAddRectangleHbox() {
             HBox hb = new HBox();
             Label lb = new Label("Add rectangle at pos");
-            final TextField tfPos = TextFieldBuilder.create().prefWidth(50).id(ADD_RECTANGLE_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_RECTANGLE_BUTTON_ID).build();
+            final TextField tfPos = new TextField();
+            tfPos.setPrefWidth(50);
+            tfPos.setId(ADD_RECTANGLE_TEXT_FIELD_ID);
+            Button bt = new Button("Add!");
+            bt.setId(ADD_RECTANGLE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tfPos.getText());
@@ -288,8 +305,11 @@
         private HBox getAddFormHbox() {
             HBox hb = new HBox();
             Label lb = new Label("Add form at pos");
-            final TextField tfPos = TextFieldBuilder.create().prefWidth(50).id(ADD_FORM_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_FORM_BUTTON_ID).build();
+            final TextField tfPos = new TextField();
+            tfPos.setPrefWidth(50);
+            tfPos.setId(ADD_FORM_TEXT_FIELD_ID);
+            Button bt = new Button("Add!");
+            bt.setId(ADD_FORM_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tfPos.getText());
@@ -303,8 +323,11 @@
         private HBox getAddTextFieldHbox() {
             HBox hb = new HBox();
             Label lb = new Label("Add textField at pos");
-            final TextField tfPos = TextFieldBuilder.create().prefWidth(50).id(ADD_TEXT_FIELD_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_TEXT_FIELD_BUTTON_ID).build();
+            final TextField tfPos = new TextField();
+            tfPos.setPrefWidth(50);
+            tfPos.setId(ADD_TEXT_FIELD_TEXT_FIELD_ID);
+            Button bt = new Button("Add!");
+            bt.setId(ADD_TEXT_FIELD_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tfPos.getText());
@@ -317,9 +340,11 @@
 
         private HBox getStartMotionHBox() {
             HBox hb = new HBox();
-            Button startMotion = ButtonBuilder.create().text("start motion").id(START_MOTION_BUTTON_ID).build();
+            Button startMotion = new Button("start motion");
+            startMotion.setId(START_MOTION_BUTTON_ID);
             Label label = new Label(" of element at position ");
-            final TextField tf = TextFieldBuilder.create().text("0").id(START_MOTION_TEXT_FIELD_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setId(START_MOTION_TEXT_FIELD_ID);
             startMotion.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     cm.applyTransition((Node) ((ListView) testedControl).getItems().get(Integer.parseInt(tf.getText())));
@@ -332,9 +357,11 @@
 
         private HBox getIncreaseScaleHBox() {
             HBox hb = new HBox();
-            final TextField tf = TextFieldBuilder.create().text("0").id(INCREASE_SCALE_TEXT_FIELD_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setId(INCREASE_SCALE_TEXT_FIELD_ID);
             Label label = new Label(" of node on position ");
-            Button increaseScaleButton = ButtonBuilder.create().id(INCREASE_SCALE_BUTTON_ID).text("Increase scale").build();
+            Button increaseScaleButton = new Button("Increase scale");
+            increaseScaleButton.setId(INCREASE_SCALE_BUTTON_ID);
             increaseScaleButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     Node content = (Node) ((ListView) testedControl).getItems().get(Integer.parseInt(tf.getText()));
@@ -348,9 +375,11 @@
 
         private HBox getDecreaseScaleHBox() {
             HBox hb = new HBox();
-            final TextField tf = TextFieldBuilder.create().text("0").id(DECREASE_SCALE_TEXT_FIELD_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setId(DECREASE_SCALE_TEXT_FIELD_ID);
             Label label = new Label(" of node on position ");
-            Button increaseScaleButton = ButtonBuilder.create().id(DECREASE_SCALE_BUTTON_ID).text("Decrease scale").build();
+            Button increaseScaleButton = new Button("Decrease scale");
+            increaseScaleButton.setId(DECREASE_SCALE_BUTTON_ID);
             increaseScaleButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     Node content = (Node) ((ListView) testedControl).getItems().get(Integer.parseInt(tf.getText()));
@@ -371,7 +400,9 @@
         }
 
         private TextField getNewTextField() {
-            return TextFieldBuilder.create().id("CONTENT_TEXT_FIELD_" + (textFieldsCounter++) + "_ID").build();
+            TextField tf = new TextField();
+            tf.setId("CONTENT_TEXT_FIELD_" + (textFieldsCounter++) + "_ID");
+            return tf;
         }
     }
 }
